List Versions
GEThttps://api.confident-ai.com/v2/prompts/{promptId}/versions
Lists every version released for the prompt, oldest first.
curl -X GET "https://api.confident-ai.com/v2/prompts/{promptId}/versions" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"versions": [
{
"id": "<PROMPT-VERSION-ID>",
"version": "00.00.01"
}
],
"type": "TEXT"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
promptIdstringRequiredThe unique id of the prompt.
Response
List Versions succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 2 propertiesHide 2 properties
versionslist of objectsThis is the list of versions released for the prompt, oldest first.
Show 2 propertiesHide 2 properties
idstringThis is the id of the prompt version generated by Confident AI, not to be confused with the version number.
versionstringThis is the version number of the prompt version.
typeenumThis is the type of the prompt, which can be either a simple text or a list of messages.
Show 2 enum valuesHide 2 enum values
TEXTLIST
deprecatedbooleanIndicates if this endpoint is deprecated.